execute if score @s rtp_menu matches 1 at @s run playsound block.note_block.iron_xylophone master @s ~ ~ ~ 1 1.2
execute if score @s rtp_reset matches 1.. at @s run playsound block.note_block.banjo master @s ~ ~ ~ 1 0.5
execute if score @s rtp_player_distance matches 0.. at @s run playsound block.note_block.banjo master @s ~ ~ ~ 1 1
execute if score @s rtp_max_distance matches 1.. at @s run playsound block.note_block.banjo master @s ~ ~ ~ 1 1

# Store settings
execute if score @s rtp_reset matches 1.. run scoreboard players set @s rtp_player_distance 200
execute if score @s rtp_reset matches 1.. run scoreboard players set @s rtp_max_distance 22000
execute if score @s rtp_max_distance matches 30000001.. run scoreboard players set @s rtp_max_distance 30000000
execute if score @s rtp_player_distance matches 1000001.. run scoreboard players set @s rtp_player_distance 1000000
execute if score @s rtp_player_distance matches 0.. store result storage challenge:rtp distance.player int 1 run scoreboard players operation .player_distance rtp_player_distance = @s rtp_player_distance
execute if score @s rtp_max_distance matches 1.. store result storage challenge:rtp distance.max int 1 run scoreboard players operation .max_distance rtp_max_distance = @s rtp_max_distance

# RTP Menu
tellraw @s {"text":"\n\n\n\n\n\n\n\n\n\n\n"}

    # Settings
    execute if predicate pack:cz run tellraw @s [{"text":" Aktuální nastavení:","bold":true,"color":"green"},{"text":"\n"},{"text":"  Vzdálenost mezi hráči: ","color":"gold","bold": false},{"score":{"name":".player_distance","objective":"rtp_player_distance"},"color":"aqua","bold": false},{"text":" bloků ","color":"light_purple","bold": false},{"text":"(","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_player_distance set 200"}},{"text":"klikni pro změnu","color":"white","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_player_distance set 200"}},{"text":")","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_player_distance set 200"}},{"text":"\n"},{"text":"  Maximální vzdálenost: ","color":"gold","bold": false},{"score":{"name":".max_distance","objective":"rtp_max_distance"},"color":"aqua","bold": false},{"text":" bloků ","color":"light_purple","bold": false},{"text":"(","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_max_distance set 22000"}},{"text":"klikni pro změnu","color": "white","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_max_distance set 22000"}},{"text":")","bold": false,"color":"red","clickEvent":{"action":"suggest_command","value":"/trigger rtp_max_distance set 22000"}}]
    execute if predicate pack:en run tellraw @s [{"text":" Current settings:","bold":true,"color":"green"},{"text":"\n"},{"text":"  Distance between players: ","color":"gold","bold": false},{"score":{"name":".player_distance","objective":"rtp_player_distance"},"color":"aqua","bold": false},{"text":" blocks ","color":"light_purple","bold": false},{"text":"(","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_player_distance set 200"}},{"text":"click to change","color":"white","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_player_distance set 200"}},{"text":")","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_player_distance set 200"}},{"text":"\n"},{"text":"  Maximum distance: ","color":"gold","bold": false},{"score":{"name":".max_distance","objective":"rtp_max_distance"},"color":"aqua","bold": false},{"text":" blocks ","color":"light_purple","bold": false},{"text":"(","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_max_distance set 22000"}},{"text":"click to change","color": "white","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_max_distance set 22000"}},{"text":")","color":"red","bold": false,"clickEvent":{"action":"suggest_command","value":"/trigger rtp_max_distance set 22000"}}]

    # Stronghold maximum distance warn
    execute if predicate pack:cz if score .max_distance rtp_max_distance matches 24321.. run tellraw @s {"text":"\n  Strongholdy se generují do vzdálenosti 24320 bloků!","color":"dark_red"}
    execute if predicate pack:en if score .max_distance rtp_max_distance matches 24321.. run tellraw @s {"text":"\n  Strongholds are generated up to 24320 blocks away!","color":"dark_red"}

    # RTP all | self
    execute if predicate pack:cz run tellraw @s [{"text":"\n"},{"text":" Teleportuj: ","color":"blue","bold": true},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_all set 1"},"hoverEvent":{"action":"show_text","contents":"Teleportuje všechny hráče na náhodnou pozici"}},{"text":"VŠECHNY","color":"light_purple","clickEvent":{"action":"run_command","value":"/trigger rtp_all set 1"},"hoverEvent":{"action":"show_text","contents":"Teleportuje všechny hráče na náhodnou pozici"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_all set 1"},"hoverEvent":{"action":"show_text","contents":"Teleportuje všechny hráče na náhodnou pozici"}},{"text":"  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_self set 1"},"hoverEvent":{"action":"show_text","contents":"Teleportuješ se na náhodnou pozici"}},{"text":"SEBE","color":"gold","clickEvent":{"action":"run_command","value":"/trigger rtp_self set 1"},"hoverEvent":{"action":"show_text","contents":"Teleportuješ se na náhodnou pozici"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_self set 1"},"hoverEvent":{"action":"show_text","contents":"Teleportuješ se na náhodnou pozici"}}]
    execute if predicate pack:en run tellraw @s [{"text":"\n"},{"text":" Teleport: ","color":"blue","bold": true},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_all set 1"},"hoverEvent":{"action":"show_text","contents":"Teleports all players to a random location"}},{"text":"ALL","color":"light_purple","clickEvent":{"action":"run_command","value":"/trigger rtp_all set 1"},"hoverEvent":{"action":"show_text","contents":"Teleports all players to a random location"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_all set 1"},"hoverEvent":{"action":"show_text","contents":"Teleports all players to a random location"}},{"text":"  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_self set 1"},"hoverEvent":{"action":"show_text","contents":"Teleport to a random location"}},{"text":"SELF","color":"gold","clickEvent":{"action":"run_command","value":"/trigger rtp_self set 1"},"hoverEvent":{"action":"show_text","contents":"Teleport to a random location"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_self set 1"},"hoverEvent":{"action":"show_text","contents":"Teleport to a random location"}}]

    # Back and reset button
    execute if predicate pack:cz run tellraw @s [{"text":"\n  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Zpět do hlavní nabídky"}},{"text":"ZPĚT","color":"gold","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Zpět do hlavní nabídky"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Zpět do hlavní nabídky"}},{"text":"  "},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_reset set 1"},"hoverEvent":{"action":"show_text","contents":"Vrátí původní nastavení"}},{"text":"RESET","color":"red","clickEvent":{"action":"run_command","value":"/trigger rtp_reset set 1"},"hoverEvent":{"action":"show_text","contents":"Vrátí původní nastavení"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_reset set 1"},"hoverEvent":{"action":"show_text","contents":"Vrátí původní nastavení"}}]
    execute if predicate pack:en run tellraw @s [{"text":"\n  ","color":"aqua"},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Back to the main menu"}},{"text":"BACK","color":"gold","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Back to the main menu"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger pack_info set 1"},"hoverEvent":{"action":"show_text","contents":"Back to the main menu"}},{"text":"  "},{"text":"[","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_reset set 1"},"hoverEvent":{"action":"show_text","contents":"Returns the original settings"}},{"text":"RESET","color":"red","clickEvent":{"action":"run_command","value":"/trigger rtp_reset set 1"},"hoverEvent":{"action":"show_text","contents":"Returns the original settings"}},{"text":"]","color":"aqua","clickEvent":{"action":"run_command","value":"/trigger rtp_reset set 1"},"hoverEvent":{"action":"show_text","contents":"Returns the original settings"}}]

tellraw @s ""

# Reset triggers
scoreboard players set @s rtp_menu 0
scoreboard players set @s rtp_reset 0
scoreboard players set @s rtp_player_distance -1
scoreboard players set @s rtp_max_distance 0
scoreboard players enable @s rtp_player_distance
scoreboard players enable @s rtp_max_distance
scoreboard players enable @a rtp_all
scoreboard players enable @a rtp_self
scoreboard players enable @a rtp_menu
scoreboard players enable @a rtp_reset